clear
cd "P:\Personal Folders\anneyr\stata9\talk"

insheet using txt\file1.txt
sort id
save dta\file1.dta,replace

insheet using txt\file2.txt,clear
	generate d1=.
	generate d2=.
	replace d1=1 if c1=="A"
	replace d1=2 if c1=="C"
	replace d2=1 if c2=="A"
	replace d2=2 if c2=="C"

	drop c1 c2
	rename d1 c1
	rename d2 c2
sort id
save dta\file2.dta,replace

insheet using txt\affect.txt,clear
sort id
save dta\affect.dta,replace

insheet using txt\qtl.txt,clear
sort id
save dta\qtl.dta,replace

use dta\file1.dta,clear
	merge id using dta\file2.dta
	tabulate _merge
	drop _merge
	sort id
		merge id using dta\affect.dta
		tabulate _merge
		drop _merge
		sort id
			merge id using dta\qtl.dta
			tabulate _merge
			drop _merge

order id affect qtl a1 a2 b1 b2 c1 c2
save dta\master.dta,replace
